<?xml version="1.0" encoding="utf-8"?>
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 bootstrap="bootstrap.php"
		 verbose="true" backupGlobals="false" timeoutForSmallTests="900"
		 timeoutForMediumTests="900" timeoutForLargeTests="900"
		 xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.3/phpunit.xsd">
	<coverage>
		<report>
			<cobertura outputFile="coverage/php/cobertura.xml"/>
			<html outputDirectory="coverage/php/" lowUpperBound="50" highLowerBound="90"/>
			<text outputFile="php://stdout" showUncoveredFiles="false" showOnlySummary="true"/>
		</report>
		<include>
			<directory suffix=".php">lib</directory>
		</include>
	</coverage>

	<testsuites>
		<testsuite name="Nepenthes">
			<directory suffix=".php">tests/lib/</directory>
		</testsuite>
	</testsuites>
	<listeners>
		<listener class="PhpPact\Consumer\Listener\PactTestListener">
			<arguments>
				<array>
					<element key="0">
						<string>Nepenthes</string>
					</element>
				</array>
			</arguments>
		</listener>
	</listeners>
	<php>
		<env name="PACT_MOCK_SERVER_HOST" value="localhost"/>
		<env name="PACT_MOCK_SERVER_PORT" value="7200"/>
		<env name="PACT_CONSUMER_NAME" value="integration_nepenthes"/>
		<env name="PACT_CONSUMER_VERSION" value="1.0.0"/>
		<env name="PACT_CONSUMER_TAG" value="master"/>
		<env name="PACT_PROVIDER_NAME" value="Nepenthes"/>
		<env name="PACT_OUTPUT_DIR" value="./tests/pact/"/>
		<env name="PACT_MOCK_SERVER_HEALTH_CHECK_TIMEOUT" value="10"/>
		<env name="PACT_LOGLEVEL" value="INFO"/>
		<env name="PACT_LOG" value="./tests/pact/pact.log"/>
		<!-- <env name="PACT_BROKER_URI" value="http://localhost"/> -->
	</php>
	<logging/>
</phpunit>
